Bug 63822 - View Results Tree : Column Text
Summary: View Results Tree : Column Text
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.1.1
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.3.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2019-10-09 19:10 UTC by Markowski_JM
Modified: 2020-03-15 14:27 UTC (History)
1 user (show)



Attachments
column width change (7.03 KB, image/png)
2020-03-10 12:22 UTC, Markowski_JM
Details
column width changed after select any option (6.09 KB, image/png)
2020-03-10 12:23 UTC, Markowski_JM
Details
Keep divider location when changing visualizer mode (1.57 KB, patch)
2020-03-10 20:30 UTC, Felix Schumacher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markowski_JM 2019-10-09 19:10:01 UTC
In column Text, when you change to other title (RegExp Test, Boundary Extractor Tester,...) the width of the column changes automatically.

I must to adjust the width.

It's possible to give the same with :)
Comment 1 Felix Schumacher 2020-02-16 12:57:34 UTC
Can you post a picture that shows the element, that you wish to fix?

I have had a look at the result tree view and didn't find the changing column.
Comment 2 Philippe Mouawad 2020-03-07 18:37:28 UTC
Hello,
Could you provide requested element ?


Pourriez-vous téléverser une copie d'écran qui montre le problème ?

Merci
Comment 3 Markowski_JM 2020-03-10 12:22:50 UTC
Created attachment 37086 [details]
column width change
Comment 4 Markowski_JM 2020-03-10 12:23:36 UTC
Created attachment 37087 [details]
column width changed after select any option
Comment 5 Felix Schumacher 2020-03-10 20:30:31 UTC
Created attachment 37090 [details]
Keep divider location when changing visualizer mode

Are you comfortable with patching and compiling JMeter yourself and test, if this patch fixes your problem?

I have understood, that you are talking about the divider between the sample (right side) and the mode combo (text, regex, html, ...) plus sample list (left side) that gets reset every time you change the mode.

What you would like to have, is that the divider stays on the location you chose before switching the mode. Correct?
Comment 6 Felix Schumacher 2020-03-15 11:02:55 UTC
Has been committed to trunk. Could you test the next nightly and report back, if it fixes your problem?

commit 7f32736782e8e1ae9d96e23b4f5d09a93fbd5d83
Author: Felix Schumacher <felix.schumacher@internetallee.de>
AuthorDate: Tue Mar 10 21:27:10 2020 +0100

    Keep divider location when changing visualizer mode
    
    Bugzilla Id: 63822
---
 .../org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java    | 6 ++++--
 xdocs/changes.xml                                                   | 1 +
 2 files changed, 5 insertions(+), 2 deletions(-)